# _fastangle_tables.h File Reference

Go to the source code of this file.

## Defines

#define | ETL_FASTANGLE_LOOKUP_RES (13)
#define | _fastangle_sin_table _fastangle_sin_table_13
#define | _fastangle_asin_table _fastangle_asin_table_13
#define | _fastangle_tan_table _fastangle_tan_table_13
#define | _fastangle_atan_table _fastangle_atan_table_13

## Variables

static const double | _fastangle_sin_table_13 [8192]
static const int | _fastangle_asin_table_13 [8192]
static const double | _fastangle_tan_table_13 [8192]
static const int | _fastangle_atan_table_13 [8192]

## Define Documentation

#define ETL_FASTANGLE_LOOKUP_RES (13)

Definition at line 4945 of file _fastangle_tables.h.

Referenced by fastangle::cos::cos(), fastangle::tan::get(), fastangle::cos::get(), fastangle::sin::get(), fastangle::sin::sin(), and fastangle::tan::tan().

#define _fastangle_sin_table _fastangle_sin_table_13

Definition at line 4946 of file _fastangle_tables.h.

Referenced by fastangle::cos::get(), and fastangle::sin::get().

#define _fastangle_asin_table _fastangle_asin_table_13

Definition at line 4947 of file _fastangle_tables.h.

Referenced by fastangle::cos::cos(), and fastangle::sin::sin().

#define _fastangle_tan_table _fastangle_tan_table_13

Definition at line 4948 of file _fastangle_tables.h.

Referenced by fastangle::tan::get().

#define _fastangle_atan_table _fastangle_atan_table_13

Definition at line 4949 of file _fastangle_tables.h.

Referenced by fastangle::tan::tan().

## Variable Documentation

const double _fastangle_sin_table_13[8192]`[static]`

Definition at line 11 of file _fastangle_tables.h.

const int _fastangle_asin_table_13[8192]`[static]`

Definition at line 1654 of file _fastangle_tables.h.

const double _fastangle_tan_table_13[8192]`[static]`

Definition at line 2478 of file _fastangle_tables.h.

const int _fastangle_atan_table_13[8192]`[static]`

Definition at line 4121 of file _fastangle_tables.h.